List brand attributes
curl --request GET \
--url https://api.bambumeta.software/brands/{brand_id}/attributes \
--header 'Authorization: <api-key>'import requests
url = "https://api.bambumeta.software/brands/{brand_id}/attributes"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.bambumeta.software/brands/{brand_id}/attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"brandAttributeId": 8,
"name": "memberId",
"dataType": "string",
"searchable": true,
"unique": true
}
]Brand attributes
List brand attributes
Returns custom attribute fields defined for the brand. These map to extended data you can store on cardholders or passes.
GET
/
{brand_id}
/
attributes
List brand attributes
Authorizations
Path Parameters
Brand Identifier
Response
200 - application/json
OK
Unique identifier for the brand attribute
Attribute name
Description of the Attribute
Unique identifier for the brand
Is the attribute required
Is the attribute encrypted
Is the attribute searchable
Is the attribute unique
Status code for the brand attribute
Valid values: 'string'|'number'|'boolean'|'date', in not provided, assumes string.
Show child attributes
Show child attributes